
Foreman - Feature #6704

Smart Parameter Editing Auditing

07/21/2014 01:00 PM - Ian Tewksbury

Status: Duplicate   

Priority: Normal   

Assignee:    

Category: Audit Log   

Target version:    

Difficulty:  Fixed in Releases:  

Triaged:  Found in Releases: 1.3.1

Bugzilla link:  Red Hat JIRA:  

Pull request:    

Description

It would be great to have audit messages whenever a smart parameter override is edited with:

who edited

what parameter was edited

what the matcher is

what the value is

If an existing parameter was edited it would be great if the old value was also listed.

Auditing if the default values are changed would be great as well.

Related issues:

Is duplicate of Foreman - Bug #1902: Smart Parameters aren't audit logged Closed 10/17/2012

History

#1 - 08/18/2014 09:03 AM - Eric Helms

- Project changed from Katello to Foreman

#2 - 08/18/2014 09:30 AM - Dominic Cleal

- Is duplicate of Bug #1902: Smart Parameters aren't audit logged added

#3 - 08/18/2014 09:30 AM - Dominic Cleal

- Category set to Audit Log

- Status changed from New to Duplicate

Thanks for the bug report.  I believe this has been fixed in Foreman 1.5.0 via #1902.
